std::shuffle_order_engine::discard(3)

NAME
std::shuffle_order_engine::discard - std::shuffle_order_engine::discard

Synopsis
   void discard( unsigned long long z ); (since C++11)
   Advances the internal state by z times. Equivalent to calling operator() z times and
   discarding the result. The state of the underlying engine may be advanced by more
   than z times.

Parameters
   z - integer value specifying the number of times to advance the state by

Return value
   (none)

Exceptions
   Throws nothing.

See also
   operator() advances the state of the underlying engine and returns the generated
   (C++11) value
              (public member function)